let plugin = require("tailwindcss/plugin");

let defaultOptions = {
	variants: {
		flexPlacement: ["responsive"],
	},
};

function flexPlacementPlugin({ addUtilities, variants }) {
	addUtilities(
		{
			".align-base": { alignContent: "base" },
			".align-normal": { alignContent: "normal" },
			".align-center": { alignContent: "center" },
			".align-start": { alignContent: "flex-start" },
			".align-end": { alignContent: "flex-end" },
			".align-between": { alignContent: "space-between" },
			".align-around": { alignContent: "space-around" },
			".align-evenly": { alignContent: "space-evenly" },
			".align-stretch": { alignContent: "stretch" },
		},
		variants("flexPlacement")
	);
}

module.exports = plugin(flexPlacementPlugin, defaultOptions);
